#!/usr/bin/env python3
# -*- coding: utf-8 -*-
"""
# @Version     : Python 3.11.4
# @Software    : Sublime Text 4
# @Author      : StudentCWZ
# @Email       : StudentCWZ@outlook.com
# @Date        : 2023/11/7 16:16
# @File        : task.py
# @Description :
"""

import datetime
from application.extensions.init_sqlalchemy import db
from application.models import User
from application.libs.helper import MySQLHelper


def task():
    """
    Some Tasks.

    :return: None
    """
    with db.app.app_context():
        cfg = db.app.config.ExtraDB
        options = {
            "host": cfg.Host,
            "user": cfg.User,
            "password": cfg.Password,
            "database": cfg.DB,
            "port": cfg.Port,
        }
        with MySQLHelper(**options) as helper:
            print(helper.execute(cfg.Sql))
            print("create user")
            # user = User(username="CWzz", email="Stuu@outlook.com", password="qwe!2345", active=True,
            #             created_at=datetime.datetime.utcnow())
            # user.save()

            print("created user admin")
